Oracle IDM 11gR1 (11.1.1.6.0) Installation and Configuration

  1. Review and Make Note of Your Operating System Capabilities (32-bit or 64-bit): I have 64-bit Virtuals
  2. Review the Certification, System Requirements, and Interoperability Information without fail
  3. Understand the Types of Oracle Fusion Middleware Installers. I will be concentrating on Identity Management Installation in this post.
  4. Download the required softwares (if you are on oAS 10g, you need to upgrade to 11g now, not covered in this post)
    1. Download the Oracle database software: I am using Oracle Database 11.2.0.1
    2. Download the Oracle RCU : I am using Repository Creation Utility 11g Release 1 (11.1.1.6.0)
    3. Download 64-bit, Sun DDK 1.6.0_24/ Oracle JRockit SDK 1.6.0_24
    4. Download the Oracle Weblogic Server Software: I am using Oracle WebLogic Server 11g (10.3.6) Generic
    5. Download the Oracle Identity Management 11g Release 1 (11.1.1.6.0)
    6. There are patches available for an existing Oracle Fusion Middleware installation: The IDM 11g patchset 5 (11.1.1.6.0) 13516867 is now available and is required if you are on 11.1.1.x.0 where x=2,3,4,5).

Start -> Install Database 11.2-> Run RCU 11.1(Install IDM schema)-> install JDK -> Install Oracle Weblogic 10.3 -> Install (do not configure) Oracle FMW 11.1 products-> Run the Patchset installer to update the software to 11g, if available -> Configure and create IDM domains and Managed servers – > Done

Operating system is RHEL 5.5 64-bit, kernel parameters adjusted accordingly and 64-bit RPMs required for this Fusion Middleware 11g installation has been installed both on Database node and Application node. Hardware and Software has met the minimum requirements as per Oracle recommendations.

Installing Sun JDK 1.6.0_24 64-bit

[oracle@mpoojari java]$ ls -ltr
total 1395588
-rw-r--r-- 1 oracle oinstall 1068506707 Feb 24  2012 wls1036_generic.jar
-rw-r--r-- 1 oracle oinstall   84909359 Feb 24  2012 jdk-6u24-linux-x64.bin
[oracle@mpoojari java]$ chmod +x jdk-6u24-linux-x64.bin
[oracle@mpoojari java]$ ls -ltr jdk-6u24-linux-x64.bin
-rwxr-xr-x 1 oracle oinstall 84909359 Feb 24  2012 jdk-6u24-linux-x64.bin
[oracle@mpoojari java]$ ./jdk-6u24-linux-x64.bin
...
[oracle@mpoojari java]$ ls -ltr
total 4
drwxr-xr-x 10 oracle oinstall 4096 Feb 20 19:28 jdk1.6.0_24
[oracle@mpoojari bin]$ pwd
/u01/java/jdk1.6.0_24/bin
[oracle@mpoojari bin]$ ./java -version
java version "1.6.0_24"
Java(TM) SE Runtime Environment (build 1.6.0_24-b07)
Java HotSpot(TM) 64-Bit Server VM (build 19.1-b02, mixed mode)

You can include the JAVA_HOME/bin in the $PATH to invoke java.

Install Weblogic server 10.3.6

[oracle@mpoojari media]$ java -jar wls1036_generic.jar
[oracle@mpoojari ~]$ cd /u01/app/oracle/Middleware/
[oracle@mpoojari Middleware]$ ls -ltr
total 176
drwxr-xr-x 7 oracle oinstall  36864 Feb 20 19:53 modules
-rw-rw---- 1 oracle oinstall    133 Feb 20 19:53 domain-registry.xml
drwxr-xr-x 8 oracle oinstall   4096 Feb 20 19:54 utils
-rw-r--r-- 1 oracle oinstall    623 Feb 20 19:54 ocm.rsp
-rw-r--r-- 1 oracle oinstall 108926 Feb 20 19:54 registry.dat
-rw-r--r-- 1 oracle oinstall   1957 Feb 20 19:54 registry.xml
drwxr-xr-x 2 oracle oinstall   4096 Feb 20 19:54 logs
drwxr-xr-x 8 oracle oinstall   4096 Feb 20 19:54 wlserver_10.3
drwxr-xr-x 6 oracle oinstall   4096 Feb 20 19:54 coherence_3.7

To use WebLogic Server with 64-bit JVM’s on Linux and Solaris or to use WLS on other supported platforms, use the WebLogic Server generic installer, however it does not include a JVM/JDK.

Oracle JRockit 1.6.0_24 JDK is included in WebLogic Server installers for the Windows and Linux platforms.

Note: Oracle Fusion Middleware 11g Release 1 (11.1.1.6.0) is not supported on Oracle WebLogic Server 12c (12.1.1).

Install Oracle Database 11.2.0.1

Install Oracle Database 11.2.0.1 software and use the dbca utility to create a test database.

  1. open_cursors should be greater than or equal to 500
  2. processes should be greater than or equal to 500
  3. Use AL32UTF8 as the database character set
SQL> alter system set processes=500 scope=spfile;
SQL> alter system set open_cursors=800 scope=spfile;
SQL> alter system set session_cached_cursors=500 scope=spfile;
SQL> alter system set session_max_open_files=50 scope=spfile;
SQL> alter system set aq_tm_processes=1 scope=spfile;
SQL> alter system set job_queue_processes=10 scope=spfile;
SQL> shut immediate;
SQL> startup;

Minimum Initialization Parameters for Oracle RAC Databases

Parameter Value
aq_tm_processes 1
dml_locks 200
job_queue_processes 10
open_cursors 800
session_max_open_files 50
sessions 500
processes 500
sga_target 512M
sga_max_size 800M
pga_aggregate_target 100M
session_cached_cursors 500
processes 2500
sga_target 4G
pga_aggregate_target 2G

OAM requires a minimum of 800 open cursors in the database. When OIM and OAM are available, the number of open cursors should be 1500.

Installing IDM schema using RCU

RCU is available only on 32-bit x86 Linux and 32-bit Microsoft Windows operating system platforms. On 64-bit Linux operating systems, you must run the following command before starting RCU:

set linux32 bash

[oracle@mpoojari oracle]$ pwd
/u01/app/oracle
[oracle@mpoojari oracle]$ unzip /u03/media/ofm_rcu_linux_11.1.1.6.0_disk1_1of1.zip
[oracle@mpoojari oracle]$ ls -ltr
total 28
drwxr-xr-x 32 oracle oinstall 4096 Dec 21 19:24 rcuHome
drwxr-xr-x  7 oracle oinstall 4096 Feb 20 19:54 Middleware
[oracle@mpoojari bin]$ pwd
/u01/app/oracle/rcuHome/bin
[oracle@mpoojari bin]$ ls -ltr rcu
-r-xr--r-- 1 oracle oinstall 9220 Aug  2  2011 rcu
[oracle@mpoojari bin] ./rcu

Installing IDM 11gR1

Linux x86-64
Oracle Linux 5 (UL3+)
Red Hat Linux 5 (UL3+) Kernel 2.6.18

binutils-2.17.50.0.6
compat-libstdc++-33-3.2.3
compat-libstdc++-33-3.2.3 (32-bit)
elfutils-libelf-0.125
elfutils-libelf-devel-0.125
gcc-4.1.1
gcc-c++-4.1.1
glibc-2.5-12
glibc-2.5-12 (32-bit)
glibc-common-2.5
glibc-devel-2.5
glibc-devel-2.5-12 (32-bit)
glibc-devel-2.12-1.7.el6.i686.rpm
libaio-0.3.106
libaio-0.3.106 (32-bit)
libaio-devel-0.3.106
ibgcc-4.1.1
libgcc-4.1.1 (32-bit)
libstdc++-4.1.1
libstdc++-4.1.1 (32-bit)
libstdc++-devel 4.1.1
make-3.81 sysstat-7.0.0
openmotif22-2.2.3 (64-bit) (for Oracle Reports Server)
openmotif-2.2.3 (64-bit) (for Oracle Reports Server)
redhat-lsb-3.1-12.3.EL.0.2
  • set hard and soft nofile to 4096 in etc/security/limits.conf
  • unset LD_ASSUME_KERNEL to avoid installation or configuration failure at instance creation.
  • Reboot the server
[oracle@mpoojari bin]$ cd /u02/softwares/
[oracle@mpoojari softwares]$ ls
idm  ofm_idm_linux_11.1.1.6.0_64_disk1_1of1.zip
[oracle@mpoojari softwares]$ cd idm/
[oracle@mpoojari idm]$ ls -ltr
total 36
-rw-r--r-- 1 oracle oinstall 20863 Dec 19 21:44 readme.htm
drwxr-xr-x 6 oracle oinstall  4096 Dec 20 03:01 Disk1
drwxrwxr-x 3 oracle oinstall  4096 Dec 20 03:01 Disk2
drwxrwxr-x 3 oracle oinstall  4096 Dec 20 03:01 Disk3
[oracle@mpoojari idm]$ cd Disk1/
[oracle@mpoojari Disk1]$ ls -ltr
total 36
-rwxrwxr-x  1 oracle oinstall 16429 Oct 27 10:47 runInstaller
drwxrwxrwx  6 oracle oinstall  4096 Dec 20 03:01 doc
drwxrwxrwx  3 oracle oinstall  4096 Dec 20 03:01 utils
drwxr-xr-x 12 oracle oinstall  4096 Dec 20 03:03 stage
drwxrwxrwx  3 oracle oinstall  4096 Dec 20 03:03 install
[oracle@mpoojari Disk1]$
[oracle@mpoojari Disk1]$ ./runInstaller -jreLoc /u01/java/jdk1.6.0_24/jre
Starting Oracle Universal Installer...

run orainventory script as root and click ok

Checking Temp space: must be greater than 400 MB. Actual 4489 MB Passed
Checking swap space: must be greater than 500 MB. Actual 2047 MB Passed
Checking monitor: must be configured to display at least 256 colors. Actual 16777216 Passed
Preparing to launch Oracle Universal Installer from /tmp/OraInstall2012-02-20_10-38-45PM. Please wait ...

[oracle@mpoojari bin]$ pwd
/u01/app/oracle/Middleware/Oracle_IDM1/bin
[oracle@mpoojari bin]$ ls -ltr config.sh
-rwxr-x--- 1 oracle oinstall 5556 Oct  5 11:37 config.sh

Creating Managed Server instances

Creating managed server instances for OIM and OID yet to be covered. Keep watching this space.

Deinstalling Identity Management

The procedures for deinstalling Oracle Identity Management contains the following sections:

  • Deinstalling the Oracle Identity Management Oracle Home
  • Deinstalling the Oracle Common Home

Deinstall Oracle IDM home

Perform the following steps to deinstall your Oracle Identity Management Oracle Home using the graphical, screen-based deinstaller:

    1. Verify your Oracle Identity Management Oracle Home is not in use by an existing domain.
    2. Stop all processes that use the Oracle Identity Management Oracle Home.
    3. Open a command prompt and move (cd) into the IDM_ORACLE_HOME/oui/bin directory (UNIX) or the IDM_ORACLE_HOME\oui\bin directory (Windows).
    4. Invoke the Deinstaller from command line using the -deinstall option. For example:

On UNIX:

./runInstaller -deinstall

On Windows:

setup.exe -deinstall

The Welcome screen appears.

Deinstalling the Oracle Common Home

Perform the following steps to deinstall the ORACLE_COMMON_HOME directory:

  1. Stop all processes that use the ORACLE_COMMON_HOME directory. To know all the processes that are using ORACLE_COMMON_HOME directory use the following commands:
  2. On UNIX:

    ps-ef grep <oracle_common>

    On Windows:

    Use the Windows Task Manager to identify the processes that use the ORACLE_COMMON_HOME directory.

  3. Deinstall your Oracle Identity Management Oracle Home by performing the steps in Deinstalling the Oracle Identity Management Oracle Home.
  4. Open a command prompt and move (cd) into the ORACLE_COMMON_HOME/oui/bin/ directory (on UNIX) or the ORACLE_COMMON_HOME\oui\bin\ directory (on Windows).
  5. Invoke the Deinstaller from command line using the -deinstall option and the -jreLoc option, which identifies the location where Java Runtime Environment (JRE) is installed. For example:

On UNIX:

./runInstaller -deinstall -jreLoc FULL_PATH_TO_JRE_DIRECTORY

On Windows:

setup.exe -deinstall -jreLoc FULL_PATH_TO_JRE_DIRECTORY

The Welcome screen appears.

Entire documentation is available here

About these ads

About mpoojari
Oracle Database/Applications Administrator

27 Responses to Oracle IDM 11gR1 (11.1.1.6.0) Installation and Configuration

  1. jytdeepa says:

    Hi Mohan, I followed your instructions to install IDM 11.1.1.6.0 on OL 5.7 in Oracle Virtual box.
    I used JDK 1.7_03 which is the latest version.

    But the OID configuration is failing saying “Can not create ASInstance…” When I click retry, it gives me exception “Oracle instance is not empty….Move it to different directory …”

    Is it related to virtual m/c issue ?

    More deatils :

    Oracle Linux 5.7 on Oracle VBox 4.1.10
    DB 11.2.0.1 for linux 64 bit installaed successfully …no issue
    wls 10.3.6 has been installed using jdk 1.7_03
    RCU 11.1.1.6.0 has been executed and schemas are created

    The same IDM file which you used has been downloaded and installed.

    While runing config.sh, I selected OID , OVD, OIF also and it failes for ASInstance creation.

    2nd time when I configure I did not select OIF and this time it created ASInstance. But failed to restart….

    Can you please throw some light. Greately appreciate your time.

    Thansks
    Jyothi

    • mpoojari says:

      Hi Jyothi,

      This is not an issue with VMs. Have you got a static IP assigned to your VM?

      I used wls 10.3.6 generic installer on top of Sun JDK 1.6.0_24 64-bit.

      Try unsetting LD_ASSUME_KERNEL to avoid installation or configuration failure at instance creation. Let me know the outcome after trying this.

      Installation is either done using Sun JDK – jdk160_24 or Oracle JRockit – jrockit_1.6.0_24 as per certification.

      More about certifications: http://www.oracle.com/technetwork/middleware/ias/downloads/fusion-certification-100350.html

      To use WebLogic Server with 64-bit JVM’s on Linux and Solaris or to use WLS on other supported platforms, use the WebLogic Server generic installer, however it does not include a JVM/JDK.

      Oracle JRockit 1.6.0_24 JDK is included in WebLogic Server installers for the Windows and Linux platforms.

      Thanks

      Mohan

      • jyothi422 says:

        Mohan, thank you for getting back to me. In fact I have checked the variable LD_ASSUME_KERNEL (did echo $LD_ASSUME_KERNEL ) and did not show any value.

        In the certification website, I refered the spreadsheet corresponding to 4th row in the table displayed in the website. Then inside the spreadsheet, I refered the row 45 which corresponds to Oracle Linux 5 (UL5+) under OS version col and 11gR1 (11.1.1.6+) under “Version supported” column. In this row the Jdk version mentioned is Oracle
        JDK 1.7.0_02+. That’s why I went with this version. Do you think I still have to go with Sun JDK – jdk160_24 ?

        Today, instead of selecting all components in the config wizard, I selected only ODS (Oracle directory Services ) components and it went fine. I do not why it complains about ASInstance when I select OIF component also in the config wizard.

        Another thing is I ran oracleRoot.sh before running config wizard. Not sure whether this might have done maginc ?

        Appreciate your thoughts.

        thanks
        Jyothi

      • mpoojari says:

        Hi Jyothi,

        I would recommend you stay with Sun JDK – jdk160_24 at this stage. There are infact many bugs around the same issue “ASInstance not getting created”. You will be able to see many metalink notes for these issues.

        For some of my installation, even clicking Retry button has simply done the magic. While in other cases, configuring the domain if you deselect one or two components, the ASinstance creation may complete without an issue. And then come back later to configure the remaining components. You need to ensure that all RPMs required has been installed before attempting the IDM install.

        OraInventory script should be run as root user after installing the software but before configuring the domain using config.sh.

        Thanks

        Mohan

  2. jytdeepa says:

    Hi Mohan, regarding rpms, I took care of all the packages that are required for database installation. However I just checked the http://www.oracle.com/technetwork/middleware/ias/downloads/fusion-requirements-100147.html and i compared the packages mentioned in this one with database requirements. Only one additional package openmotif has been mentioned in this document. But I am missing this package. Thanks for mentioning again about RPMs.

    Another thing is I was not aware of running OraInventory script as root… I will take a look.

    thanks again.

    jyothi

  3. jytdeepa says:

    Hi Mohan, I have installed Oracle IDM 11.1.1.6.0 successfully. I am able to bring up oid1, ovd1, ohs1. Now I want to install ” Oracle Identity Management and Access Management 11.1.1.5.0″ (OIAM) and configure OIM, OAM, OES etc in the same exisitng domain which was created for IDM 11.1.1.6.0 ( OID, OVD …).

    I have installed OIAM 11.1.1.5.0 and it has created Oracle_IDM2 dir. Oracle_IDM1 is for OID,OVD etc. I am little confused now when I kick off domain configuration for OIAM. I kicked on config.sh from ./u01/app/middleware/Oracle_IDM2/common/bin !! It displayed the wizard. I selected “Extend existing domain” and selected current IDM domain “IDMDomain”. Then I need to select the components by checking checkbox and not sure what are the components to select.

    I selected :

    OIM which automatically selects SOA,
    Oracle WSM Policy Manager.
    OAAM -Server
    OES
    OIN
    OAM with Database Policy Store.

    But I also see OAAM Admin Server. I did not select it because I already have admin server for current domain.

    I am not sure should I select it or not.

    Also, I see below components and I did not select them :

    Oracle JRF WebServices Asynchronous Services
    Basic Weblogic SIP server domain
    OES weblogic Security module

    Now when I bring up admin server which was already created for IDM 11.1.1.6 (OID etc), I get below exception and server dies :

    PDPService and PolicyStore Service instance not found in default context. Reason: null
    weblogic.security.SecurityInitializationException: The loading of OPSS java security policy provider failed due to exception, see the exception stack trace or the server log file for root cause. If still see no obvious cause, enable the debug flag -Djava.security.debug=jpspolicy to get more information. Error message: JPS-03026: PDPService and PolicyStore Service instance not found in default context. Reason: null
    at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.loadOPSSPolicy(CommonSecurityServiceManagerDelegateImpl.java:1402)
    at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.initialize(CommonSecurityServiceManagerDelegateImpl.java:1022)
    at weblogic.security.service.SecurityServiceManager.initialize(SecurityServiceManager.java:873)
    at weblogic.security.SecurityService.start(SecurityService.java:141)
    at weblogic.t3.srvr.SubsystemRequest.run(SubsystemRequest.java:64)
    at weblogic.work.ExecuteThread.execute(ExecuteThread.java:256)
    at weblogic.work.ExecuteThread.run(ExecuteThread.java:221)

    Here is my OIAM dir (Oracle_IDM2) which shows OES, OAM etc :

    [oracle@jyothi Oracle_IDM2]$ ls -l
    total 108
    drwxr-x— 3 oracle oinstall 4096 Mar 31 16:45 apm
    drwxr-x— 3 oracle oinstall 4096 Mar 31 16:45 asoneofftool
    drwxr-x— 2 oracle oinstall 4096 Mar 31 16:51 bin
    drwxr-x— 3 oracle oinstall 4096 Mar 31 17:02 cfgtoollogs
    drwxr-x— 8 oracle oinstall 4096 Mar 31 16:48 common
    drwxr-x— 3 oracle oinstall 4096 Mar 31 16:45 communications
    drwxr-x— 5 oracle oinstall 4096 Mar 31 16:48 designconsole
    drwxr-x— 3 oracle oinstall 4096 Mar 31 16:45 diagnostics
    drwxr-x— 5 oracle oinstall 4096 Mar 31 16:45 idmtools
    drwxrwx— 10 oracle oinstall 4096 Mar 31 16:51 inventory
    drwxr-x— 3 oracle oinstall 4096 Mar 31 16:45 jdev
    drwxr-x— 2 oracle oinstall 4096 Mar 31 16:51 jlib
    drwxr-x— 8 oracle oinstall 4096 Mar 31 16:48 modules
    drwxr-x— 17 oracle oinstall 4096 Mar 31 16:46 oaam
    drwxr-x— 5 oracle oinstall 4096 Mar 31 16:47 oam
    drwxr-x— 5 oracle oinstall 4096 Mar 31 16:48 oes
    drwxr-x— 9 oracle oinstall 4096 Mar 31 16:48 oessm
    drwxr-x— 3 oracle oinstall 4096 Mar 31 16:45 oinav
    drwxr-x— 2 oracle oinstall 4096 Mar 31 16:45 oneoffpatches
    drwxr-x— 8 oracle oinstall 4096 Mar 31 16:45 OPatch
    -rw-r—– 1 oracle oinstall 56 Mar 24 21:09 oraInst.loc
    drwxr-x— 6 oracle oinstall 4096 Mar 31 16:51 oui
    drwxr-x— 3 oracle oinstall 4096 Mar 31 16:45 rda
    drwxr-x— 6 oracle oinstall 4096 Mar 31 16:48 remote_manager
    drwxr-x— 38 oracle oinstall 4096 Mar 31 16:51 server
    drwxr-x— 6 oracle oinstall 4096 Mar 31 16:48 templates
    drwxr-x— 5 oracle oinstall 4096 Mar 31 16:48 upgrade
    [oracle@jyothi Oracle_IDM2]$

    Have you tired installing OIAM 11.1.1.5.0 on the top of IDM 11.1.1.6.0 ? Any suggestion aboout this exception.

    I have no idea now what should be done. Looking into oracle installation guide http://docs.oracle.com/cd/E23943_01/install.1111/e12002/oidonly.htm#INOIM75645

    but no clue.

    Greately appreciate your help.

    thanks
    Jyothi

    • mpoojari says:

      Jyothi

      I guess you have installed Oracle WLS 10.3.6 generic. This will allow you install FMW 11g components such as 11.1.1.5.0 and also 11.1.1.6.0.

      Are You trying the extend 11.1.1.6 IDM domain for 11.1.1.5 OAIM install?

      For error message: JPS-03026 PDPService and PolicyStore Service instance not found in default context. Reason: null :

      Try doing the following in a test environment:

      1) run the wlst tool from the weblogic server deployment that has been used to deploy the existing domain :
      $ /wlserver_10.3/common/bin/wlst.sh /oes/modifygrants.py

      2) Run the SM config tool with -serverLocation set to the weblogic path of the OES client middleware home. This way the tool will be able to pick up the extension modules. When asked for the domain, navigate to the target domain in the file system tree.You can then start the domain with startWeblogic.sh

      Check JVM policy set to default

      Hope this helps!

      Thanks

      Mohan

      • jytdeepa says:

        Hi Mohan, thanks for getting back to me. In fact I took fresh image in which my OID, OVD are running without any issue. I installed OAIM 11.1.1.5.0.

        Now, in the domain extention configuration, I only selected OIM (in order to isolate the problems). I am able to extend domain with OIM (Oracle Identity Manager).

        I am able to bring up admin server without any issue. ( In my previous posting the server had the issue when I configured other components also. )

        Now while configuring OIM using …/Oracle_IDM2/bin/config.sh, I get

        Updated oim-config.xml
        java.lang.NoSuchMethodError: oracle.jdbc.OracleConnection.setApplicationContext(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V
        at oracle.mds.internal.persistence.db.platform.OracleDB.setMultiTenantContext(OracleDB.java:1166)
        at oracle.mds.internal.persistence.db.BaseReposAccess.setTenantPredicate(BaseReposAccess.java:2824)
        .

        I refered the blog https://forums.oracle.com/forums/thread.jspa?messageID=10183921&#10183921. I checked my log and JAVA_HOME us empty.

        Now I got stuck. How can I correct this config.sh which comes with the software ? I am confused.

        I added JAVA_HOME and exported inside config.sh. But still log shows JAVA_HOME empty. My goodness, is it a show stopper now ?

        How come the instllation guide http://docs.oracle.com/cd/E23943_01/install.1111/e12002/toc.htm still talks about IDM 11.1.1.6.0 and IAM 11.1.1.5.0. IF it is not ceritfied, these 2 versions should not have been mentioned first of all in the installation guide right ?

        I am so disappointed now !! How come the config.sh is not taking my JAVA_HOME. Do you have any other thoughts. I have weblogic 10.3.6.

        Really appreciate your suggestions.

        thanks
        Jyothi

      • mpoojari says:

        Jyothi

        Bring up admin server only, set JAVA_HOME using EM console and re-try configuration.

        Thanks

        Mohan

  4. jytdeepa says:

    Hi Mohan, I have kept only admin server up because I am yet to configure managed server for OIM that’s where the configuration is failing.

    Can you please let me know in EM, where should I set JAVA_HOME ? I have do not this earlier and I am wondering where can I set it. I am also surprizing,if I set it here, does the configuration wizard recognized it ? Thank you for helping me. This is like show stopper for me :-).

    thanks
    Jyothi

  5. jytdeepa says:

    Also, other managed servers wls_ods1 and wls_oif1 are down. Not up.

    thanks
    Jyothi

    • jytdeepa says:

      Hi Mohan, I came to know the issue. I have jdk 7 which supports only IDM 11.1.1.6.0 as per certification matrix. JDK 7 does not support OIAM 11.1.1.5.0.

      thank you for your precious time.

      thanks
      Jyothi.

      • mpoojari says:

        Jyothi

        I had mentioned that to you before to stay with Sun JDK – jdk160_24.

        Good that issue is resolved.

        Thanks

        Mohan

  6. Hi Mohan,

    This was a very helpful post for IDM installation.
    I got my IDM installed and now want to create a manage server for OIM.
    Can you please add the steps for creating the OIM manage server to this post?

    Cheers

  7. jytdeepa says:

    Hi Mohan, I am back to you again :-). I want to run idmConfigTool.sh to seed Identity Store with data. This script is under IAM folder and not under IDM directory. This script needs MW_HOME set. I am in dilemma. I have different domains for IDM and IAM because of 2 different versions of wls. IAM is not certified with wls 10.3.6 and hence I used 10.3.5 which resulted creating different domain. So, not sure which domain I need to set now for MW_HOME. Now I have to run this script from IAM folder which is in different domain than IDM. Sorry to bother you. Appreciate if you can guide me.

    thanks
    Jyothi

    • mpoojari says:

      Jyothi

      The problem is that you have two WLS installation 10.3.5 and 10.3.6. Why are you using two different versions?

      Oracle FMW 11.1.1.1.6.0 products are certified by WLS 10.3.5 and 10.3.6.

      If you had one WLS install certified version with IDM and IAM installed on top of it, then it would have been more simpler.

      Thanks

      Mohan

      • jytdeepa says:

        Hi Mohan, I was successfully able to configure Identity store and policy store. Each time when I see latest version, I prefer that one thinking that it has fixed bunch of issues :-). That’s why I went with 10.3.6. While installing IDM, it did not flash to me that for IAM I will end up with different middleware dir. I did not want to go back and start all over with 10.3.5 for IDM !! Starting all over takes minimum of 4 to 6 hours by taking care of all little little things in the configuration of bunch of components :-).

        I do not have time to go back to 10.3.5. I will have to proceed with this setup.

        thanks for getting back to me always :-)

        Jyothi

  8. jytdeepa says:

    Hi Mohan, Currently I got stuck with OAM server. I am unable to access OAM console. While starting the managed server oam_server1, I am getting below exception :

    <Servlet: "AMInitServlet" failed to preload on startup in Web application: "oam".
    java.lang.ExceptionInInitializerError
    at oracle.security.am.engines.sso.adapter.SMEAdapter.(SMEAdapter.java:81)
    at oracle.security.am.engines.sso.adapter.SMEAdapter.(SMEAdapter.java:96)
    at oracle.security.am.engines.enginecontroller.SSOEngineController.processEvent(SSOEngineController.java:756)
    at oracle.security.am.controller.MasterController.processEvent(MasterController.java:331)
    at oracle.security.am.controller.MasterController.processRequest(MasterController.java:491)
    at oracle.security.am.controller.MasterController.process(MasterController.java:433)

    I looked into the forums and people are facing this issue but there was no solution.

    Currently it is running with Oracle JDK 1.6_29, wls 10.3.5. I do not think it is the issue with jdk. Because I saw in oracle blog https://blogs.oracle.com/robsayin/entry/downloading_stuff_from_oracle_an, same jdk (which I am using) is mentioned.

    Please let me know if you have any thought about it.

    Thanks
    Jyothi

    • jytdeepa says:

      Mohan, please forget this issue. It has been reported as BUG in Oracle site with IAM version11.1.1.5.0 for Linux 64 bit and that’s what I am using. But I have see someone else was successful with this combination. Unfortunately I got stuck with this issue. I will have to now think what version to take. No doubt this time, I will go with one domain.v But I can not go with IAM 11.1.1.5.0 becuase this is what has been reported in the bug for Linux 64 bit.

      thanks
      Jyothi

  9. RamRag says:

    Hi Mohan,
    I’m very new to WL environement, and I got install WL10.3.5 Generic on Linux. Now I want need to install JDK1.6 first.
    I downloaded “jdk-6u24-linux-x64.bin” and tried to install it. After I run #>./jdk-6u24-linux-x64.bin – it shows NOTHING. Could you please help in install JDK and how to set the Java path step by step. Because I’m fresh to this and detailed instructions would be very much appreciable.

    • mpoojari says:

      Hi Raghu

      I used RHEL 5.4 64-bit operating system during the installation.

      If you are running the executable on the command line, then did you set the X11 settings(Putty) on Linux to invoke the GUI?

      Try using softwares like Xming or Humming bird.

      Let me know if this helps.

      Thanks

      Mohan

  10. Kanhiyalal says:

    Hi Mohan,

    Could you please guide me how we can integrate

    OID (WL 10.3.6 ) with OAM (WL 10.3.5)

    As this combination is need so that we can be in latest versions
    could you please provide me the step by step.

    Regards
    Kanhiyalal

  11. shashidhar says:

    Hi mohan , when i try to install OID in windows 7 64 bit os i got the below error… Could please help me to solve this issue… Please I need your help .. Thanking you…

    [2013-04-16T23:27:42.411+05:30] [as] [NOTIFICATION] [] [oracle.as.provisioning] [tid: 168] [ecid: 0000JsJyYLEFw000jzwkno1HROrP00000A,0] reportStartConfigAction: EXIT……..
    [2013-04-16T23:27:42.411+05:30] [as] [NOTIFICATION] [] [oracle.as.provisioning] [tid: 168] [ecid: 0000JsJyYLEFw000jzwkno1HROrP00000A,0] Values of opmn port passed by the Install: opmnLocalPort=null
    [2013-04-16T23:27:46.734+05:30] [as] [ERROR] [] [oracle.as.provisioning] [tid: 168] [ecid: 0000JsJyYLEFw000jzwkno1HROrP00000A,0] [[
    java.lang.ExceptionInInitializerError
    at javax.crypto.Mac.getInstance(Mac.java:171)
    at oracle.security.crypto.cert.PKCS12.computeMAC(PKCS12.java:299)
    at oracle.security.crypto.cert.PKCS12.verify(PKCS12.java:402)
    at oracle.security.pki.OracleKeyStoreSpi.engineLoad(Unknown Source)
    at java.security.KeyStore.load(KeyStore.java:1214)
    at oracle.security.pki.OracleWallet.getKeyStore(Unknown Source)
    at oracle.security.pki.OracleWallet.createSSO(Unknown Source)
    at oracle.as.config.utl.FileUtil.createSelfSignedOracleWallet(FileUtil.java:711)
    at oracle.as.config.utl.FileUtil.generateWallet(FileUtil.java:633)
    at oracle.as.config.utl.FileUtil.generateWallet(FileUtil.java:669)
    at oracle.as.config.utl.FileUtil.generateWallet(FileUtil.java:560)
    at oracle.as.config.impl.OpmnProvisioner.generateWallet(OpmnProvisioner.java:70)
    at oracle.as.config.impl.OpmnProvisioner.createOpmnConfiguration(OpmnProvisioner.java:366)
    at oracle.as.config.impl.OracleASInstanceImpl.createOpmnConfiguration(OracleASInstanceImpl.java:587)
    at oracle.as.config.impl.OracleASInstanceImpl.create(OracleASInstanceImpl.java:108)
    at oracle.as.provisioning.fmwadmin.ASInstanceProv._createInstance(ASInstanceProv.java:249)
    at oracle.as.provisioning.fmwadmin.ASInstanceProv.createInstance(ASInstanceProv.java:166)
    at oracle.as.provisioning.fmwadmin.ASInstanceProv.createInstanceAndComponents(ASInstanceProv.java:116)
    at oracle.as.provisioning.engine.WorkFlowExecutor._createASInstancesAndComponents(WorkFlowExecutor.java:523)
    at oracle.as.provisioning.engine.WorkFlowExecutor.executeWLSWorkFlow(WorkFlowExecutor.java:439)
    at oracle.as.provisioning.engine.Config.executeConfigWorkflow_WLS(Config.java:866)
    at oracle.as.idm.install.config.BootstrapConfigManager.doExecute(BootstrapConfigManager.java:1428)
    at oracle.as.install.engine.modules.configuration.client.ConfigAction.execute(ConfigAction.java:371)
    at oracle.as.install.engine.modules.configuration.action.TaskPerformer.run(TaskPerformer.java:88)
    at oracle.as.install.engine.modules.configuration.action.TaskPerformer.startConfigAction(TaskPerformer.java:105)
    at oracle.as.install.engine.modules.configuration.action.ActionRequest.perform(ActionRequest.java:15)
    at oracle.as.install.engine.modules.configuration.action.RequestQueue.perform(RequestQueue.java:64)
    at oracle.as.install.engine.modules.configuration.standard.StandardConfigActionManager.start(StandardConfigActionManager.java:160)
    at oracle.as.install.engine.modules.configuration.boot.ConfigurationExtension.kickstart(ConfigurationExtension.java:81)
    at oracle.as.install.engine.modules.configuration.ConfigurationModule.run(ConfigurationModule.java:86)
    at java.lang.Thread.run(Thread.java:722)
    Caused by: java.lang.SecurityException: Can not initialize cryptographic mechanism
    at javax.crypto.JceSecurity.(JceSecurity.java:86)
    … 31 more
    Caused by: java.lang.SecurityException: The jurisdiction policy files are not signed by a trusted signer!
    at javax.crypto.JarVerifier.verifyPolicySigned(JarVerifier.java:289)
    at javax.crypto.JceSecurity.loadPolicies(JceSecurity.java:316)
    at javax.crypto.JceSecurity.setupJurisdictionPolicies(JceSecurity.java:261)
    at javax.crypto.JceSecurity.access$000(JceSecurity.java:48)
    at javax.crypto.JceSecurity$1.run(JceSecurity.java:78)
    at java.security.AccessController.doPrivileged(Native Method)
    at javax.crypto.JceSecurity.(JceSecurity.java:76)
    … 31 more

  12. Priya Gupta says:

    Hi,

    Would you mind giving your thougths on this issue.

    I am not able to update httpd.conf with the Webgate configuration. While confguring OHS 11g with 11g Webgate

    I am getting this error while running ./EditHttpConf -w /oracle/Middleware/Oracle_WT1/instances/instance1/config/OHS/ohs1/ -oh /oracle/Middleware/Oracle_OAMWebGate1/

    Error: You don’t have sufficient access rights to run this tool.

    The permission on ohs and webgate directory is fine
    i,e
    drwxrwxrwx 8 oracle dba 4096 Oct 28 21:06 Oracle_WebGate11g
    drwxrwxrwx 49 oracle dba 4096 Oct 25 16:13 OHS11g

    Unable to find the cause of this error.

    Could you tell please.

    I ‘ve followed this Doc http://docs.oracle.com/cd/E21764_01/install.1111/e12002/webgate.htm

    for Configuring OHS 11g with 11g Webgate

    Thanks
    Priya

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Follow

Get every new post delivered to your Inbox.

%d bloggers like this: